> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing project



## OpenAPI

````yaml put /projects
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /projects:
    put:
      tags:
        - Projects
      summary: Update an existing project
      operationId: updateProject
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectRequest'
      responses:
        '200':
          description: Successfully updated the project
      x-codeSamples:
        - lang: python
          label: updateProject
          source: >-
            import honeyhive

            from honeyhive.models import components


            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )



            res =
            s.projects.update_project(request=components.UpdateProjectRequest(
                project_id='<value>',
            ))


            if res is not None:
                # handle response
                pass
        - lang: typescript
          label: updateProject
          source: |-
            import { HoneyHive } from "honeyhive";

            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });

              const res = await sdk.projects.updateProject({
                projectId: "<value>",
              });

              if (res.statusCode == 200) {
                // handle response
              }
            }

            run();
components:
  schemas:
    UpdateProjectRequest:
      type: object
      properties:
        project_id:
          type: string
        name:
          type: string
        description:
          type: string
      required:
        - project_id
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````